FileSelectFolder, Root_Folder, , 2, Select directory
If ( ErrorLevel != 1 ) ; 1 signifies cancelling the dialog.
{
    Gui, 1: Margin, 3, 5
    Gui, 1: Add, Listview, xm ym w100 h300 Checked AltSubmit Grid vExt_LV         , Extensions
    Gui, 1: Add, Button  ,       w100 h25  Default                        gOnClick, &Delete
    Loop, % Root_Folder . "\*.*"
    {
        If ! InStr( Ext_List, A_LoopFileExt )
        {
            Gui, 1: Default
            Gui, Listview, Ext_LV
            LV_Add( "", A_LoopFileExt )
        }
        Ext_List .= A_LoopFileExt . ","
    }
}
Else
{
    ExitApp
}
Gui, 1: Show
Return ; End of auto-execute section.


OnClick:
{
    Gui, 1: Default
    Gui, 1: Submit, NoHide
    Gui, Listview, Ext_LV
    Ext_List := ""
    Loop, % LV_GetCount()
    {
        SendMessage, 4140, A_Index - 1, 0xF000, SysListView321 ; 4140 is LVM_GETITEMSTATE.  0xF000 is LVIS_STATEIMAGEMASK.
        IsChecked := ( ErrorLevel >> 12 ) - 1                  ; This sets IsChecked to true if RowNumber is checked or false otherwise.
        If ( IsChecked )
        {
            LV_GetText( Ext, A_Index )
            Ext_List .= Ext . ","
        }
    }
    StringTrimRight, Ext_List, Ext_List, 1 ; Remove trailing comma.

    If ( Ext_List )
    {
        MsgBox, 49, Warning!, Root: %Root_Folder%`nExtensions: %Ext_List%`n`nFiles in the root folder above with the extensions listed will be deleted to the Recyle Bin.
        IfMsgBox, OK
        {
            Loop, % Root_Folder . "\*.*"
            {
                If A_LoopFileExt in %Ext_List%
                {
                    FileRecycle, % A_LoopFileLongPath
                }
            }
        }
    }
    ExitApp
}
Return


GuiClose:
GuiEscape:
{
    ExitApp
}
Return













